package com.fzm.mall.server.admin.goods_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/12 13:49
 * @description 商品类别
 * @since JDK 1.8
 */
public enum GoodsTypeEnum {

    ORDINARY(1),//普通
    PRE_SALE(2),//预售
    AUCTION(3),//拍卖
    INTEGRAL(4),//积分兑换
    PACK(5),//打包
    NFT(6);//NFT

    private Integer type;

    GoodsTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(GoodsTypeEnum.values())
                .map(GoodsTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
